class AssetsController < ApplicationController
  def show
    @asset = Asset.find params[:id]
    check_user(@asset) { return }
    f = File.join(@asset.public_filename(:thumb))
    send_file f, :filename=>@asset.filename, :x_sendfile=>true
  end

  # GET /assets/1/edit
  def edit
    @asset = Asset.find(params[:id])
  end

  #for some reason, restful stuff doesn't work with the ajax-y upload
  def create
  end

  def destroy
  end

  #upload img, convert to png
  def make
    @asset = Asset.new(params[:asset])
    if @asset.save 
       flash.now[:notice] = "Saving file... Success."
       locpost = Post.find @asset.post_id
       local = @asset.public_filename
       #make the latex name
       latex = @@latex_loc
       psout = make_ps_path latex, locpost.file, @asset
       message = cmd "convert -verbose #{local} eps2:#{psout}"
       if $? == 0 or $? == 256 
          flash.now[:notice] = "Converting to png file... Success"
       else
       	  flash.now[:error] = "Error: " + $?.to_s + " " + message
       end
    else
       flash.now[:error] = "Failure to save: "+@asset.errors.full_messages[0]
    end
    #for updating the image list
    @assets = Asset.find_all_by_post_id(@asset.post_id)
    respond_to_parent do 
      render :update do |page|
        page.replace_html "console", :partial => 'brew/console'
        page.hide "stat_min_note"
	page.hide "stat_min_warn"
	page.hide "stat_min_error"
        page.replace_html "images", :partial => 'listimg'
      end
    end
  end

  def kill
    @asset = Asset.find(params[:id])
    @post = Post.find @asset.post_id
    file = make_ps_path @@latex_loc, @post.file, @asset
    @asset.destroy
    message = cmd "rm #{file}"

    @assets = Asset.find_all_by_post_id(@asset.post_id)
    if $? == 0
       flash[:notice] = "Success with deleting image" 
    else
       flash[:error] = "Error with deletion "+file.split('/')[-1]+message
    end
  end

  def update 
  end

  private

  @@public_loc = File.join(RAILS_ROOT,"img/")
  @@latex_loc = File.join(CHROOT_DIR,LATEX_BUILD_DIR)

  #determine psname
  def make_ps_path(latex_path,post_name,asset)
       name = @asset.png_name
       path = @asset.post_id.to_s+"-"+post_name+"/"+name
       path.gsub!(" ","_")
       return latex_path + path
  end

  def check_user(asset)
    begin
      asset.post.users.find session[:id]
    rescue Exception
    	flash[:error] = "You do not have the appropriate permissions to access this resource."
	redirect_to :controller=>:brew,:action=>:list
	yield
    end
  end
end
