class Asset < ActiveRecord::Base
      belongs_to :post
      has_attachment :content_type => :image,
      		     :storage => :file_system,
		     :path_prefix => "img",
      		     :max_size => 1.megabytes, #appropriate?
		     :thumbnails => { :thumb => '48x48>' },
		     		    :processor => :MiniMagick
				 
      validates_format_of :filename, :with=>/^(\w|\ |-|_|\.)+$/i
      validates_as_attachment

      def path_to_thumb
      	f = File.join(ActionController::Base.relative_url_root,"assets",self.id.to_s)
       	return f
      end

      def png_name
          name = filename.split('.')
       	  name[-1] = 'eps'
 	  name = id.to_s+"_"+name.join('.')
	  return name
      end

      def img_insert
      	  s = '\\\\begin{figure} \n%\\\\centering \n\\\\includegraphics[width=0.8\\\\columnwidth]{'
          s += png_name
	  s += '} \n\\\\caption{}\n\\\\label{figure:}\n\\\\end{figure}'
      end
end
