ActionController::Routing::Routes.draw do |map|
  map.connect '/about', :controller => 'about'

  map.resources :votes				       

  map.resources :templates

  map.resources :assets #breaks the ajax?

  #just to be on the safe side
  map.connect '/users/new', :controller => 'users', :action=>'new'
  map.connect '/users/update', :controller=>'users', :action=>'update', :conditions => {:method=>:get}
  map.connect '/rpx', :controller=>'users',:action=>'rpx'

  map.resources :posts
  map.connect '/posts/generate/:id', :controller=>'posts', :action=>'generate'
  map.connect '/posts/tex/:id', :controller=>'posts',:action=>'tex'
  map.connect '/posts/log/:id', :controller=>'posts',:action=>'log'
  map.connect '/posts/public_config/:id', :controller=>'posts',:action=>'public_config'

  #apparently have to use strings, not symbols
  map.connect '/brew', :controller=>'brew', :action=>'index'
  map.connect '/brew/list',:controller=>'brew', :action=>'list'
  map.connect '/brew/edit/:file',:controller=>'brew', :action=>'edit'
  map.root :controller=>'brew',:action=>'index'

  # The priority is based upon order of creation: first created -> highest priority.

  # Sample of regular route:
  #   map.connect 'products/:id', :controller => 'catalog', :action => 'view'
  # Keep in mind you can assign values other than :controller and :action

  # Sample of named route:
  #   map.purchase 'products/:id/purchase', :controller => 'catalog', :action => 'purchase'
  # This route can be invoked with purchase_url(:id => product.id)

  # Sample resource route (maps HTTP verbs to controller actions automatically):
  #   map.resources :products

  # Sample resource route with options:
  #   map.resources :products, :member => { :short => :get, :toggle => :post }, :collection => { :sold => :get }

  # Sample resource route with sub-resources:
  #   map.resources :products, :has_many => [ :comments, :sales ], :has_one => :seller
  
  # Sample resource route with more complex sub-resources
  #   map.resources :products do |products|
  #     products.resources :comments
  #     products.resources :sales, :collection => { :recent => :get }
  #   end

  # Sample resource route within a namespace:
  #   map.namespace :admin do |admin|
  #     # Directs /admin/products/* to Admin::ProductsController (app/controllers/admin/products_controller.rb)
  #     admin.resources :products
  #   end

  # You can have the root of your site routed with map.root -- just remember to delete public/index.html.
  # map.root :controller => "welcome"

  # See how all your routes lay out with "rake routes"

  # Install the default routes as the lowest priority.
  map.connect ':controller/:action/:id'
  map.connect ':controller/:action/:id.:format'
end
